import jaggl.OpenGL;

public class Class141_Sub5 extends Class141 {

   static final char aChar9912 = '\u0001';
   Class149 aClass149_9913;
   Class135 aClass135_9914;
   static final char aChar9915 = '\u0000';
   Class147_Sub3 aClass147_Sub3_9916;
   static float[] aFloatArray9917 = new float[]{0.0F, 0.0F, 0.0F, 0.0F};


   void method15436() {
      this.aClass149_9913 = new Class149(this.aClass545_Sub1_1628, 2);
      this.aClass149_9913.method2735(0);
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14553(7681, 260);
      this.aClass545_Sub1_1628.method14679(0, '\u8578', 768);
      OpenGL.glTexGeni(8192, 9472, 9216);
      OpenGL.glEnable(3168);
      this.aClass545_Sub1_1628.method14641(0);
      OpenGL.glTexEnvf(8960, '\u8573', 2.0F);
      if(this.aClass135_9914.aBool1583) {
         OpenGL.glTexGeni(8194, 9472, 9217);
         OpenGL.glTexGeni(8195, 9472, 9217);
         OpenGL.glTexGenfv(8195, 9473, new float[]{0.0F, 0.0F, 0.0F, 1.0F}, 0);
         OpenGL.glEnable(3170);
         OpenGL.glEnable(3171);
      }

      this.aClass149_9913.method2736();
      this.aClass149_9913.method2735(1);
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14553(8448, 8448);
      this.aClass545_Sub1_1628.method14679(0, 5890, 768);
      OpenGL.glDisable(3168);
      this.aClass545_Sub1_1628.method14641(0);
      OpenGL.glTexEnvf(8960, '\u8573', 1.0F);
      if(this.aClass135_9914.aBool1583) {
         OpenGL.glDisable(3170);
         OpenGL.glDisable(3171);
      }

      this.aClass149_9913.method2736();
   }

   boolean method2633() {
      return true;
   }

   void method2625(boolean var1) {
      if(this.aClass545_Sub1_1628.anInt9167 > 0) {
         float var2 = -0.5F / (float)this.aClass545_Sub1_1628.anInt9167;
         this.aClass545_Sub1_1628.method14641(1);
         aFloatArray9917[0] = 0.0F;
         aFloatArray9917[1] = 0.0F;
         aFloatArray9917[2] = var2;
         aFloatArray9917[3] = this.aClass545_Sub1_1628.aFloat9175 * var2 + 0.25F;
         OpenGL.glPushMatrix();
         OpenGL.glLoadIdentity();
         OpenGL.glTexGenfv(8192, 9474, aFloatArray9917, 0);
         OpenGL.glPopMatrix();
         this.aClass545_Sub1_1628.method14573(0.5F, (float)this.aClass545_Sub1_1628.anInt9167);
         this.aClass545_Sub1_1628.method14725(this.aClass147_Sub3_9916);
         this.aClass545_Sub1_1628.method14641(0);
      }

      this.aClass149_9913.method2737('\u0000');
      OpenGL.glMatrixMode(5890);
      OpenGL.glPushMatrix();
      OpenGL.glScalef(0.25F, 0.25F, 1.0F);
      OpenGL.glMatrixMode(5888);
   }

   void method2636(boolean var1) {
      this.aClass545_Sub1_1628.method14553(260, 8448);
   }

   void method2627(int var1, int var2) {
      if((var1 & 1) == 1) {
         if(this.aClass135_9914.aBool1583) {
            this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub2_1579);
            aFloatArray9917[0] = 0.0F;
            aFloatArray9917[1] = 0.0F;
            aFloatArray9917[2] = 0.0F;
            aFloatArray9917[3] = (float)(this.aClass545_Sub1_1628.anInt9158 % 4000) / 4000.0F;
            OpenGL.glTexGenfv(8194, 9473, aFloatArray9917, 0);
         } else {
            int var3 = this.aClass545_Sub1_1628.anInt9158 % 4000 * 16 / 4000;
            this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub4Array1584[var3]);
         }
      } else if(this.aClass135_9914.aBool1583) {
         this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub2_1579);
         aFloatArray9917[0] = 0.0F;
         aFloatArray9917[1] = 0.0F;
         aFloatArray9917[2] = 0.0F;
         aFloatArray9917[3] = 0.0F;
         OpenGL.glTexGenfv(8194, 9473, aFloatArray9917, 0);
      } else {
         this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub4Array1584[0]);
      }

   }

   void method2632() {
      this.aClass149_9913.method2737('\u0001');
      if(this.aClass545_Sub1_1628.anInt9167 > 0) {
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725((Class147)null);
         this.aClass545_Sub1_1628.method14573(1.0F, 0.0F);
         this.aClass545_Sub1_1628.method14641(0);
      }

      this.aClass545_Sub1_1628.method14553(8448, 8448);
      OpenGL.glMatrixMode(5890);
      OpenGL.glPopMatrix();
      OpenGL.glMatrixMode(5888);
   }

   void method15437() {
      this.aClass149_9913 = new Class149(this.aClass545_Sub1_1628, 2);
      this.aClass149_9913.method2735(0);
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14553(7681, 260);
      this.aClass545_Sub1_1628.method14679(0, '\u8578', 768);
      OpenGL.glTexGeni(8192, 9472, 9216);
      OpenGL.glEnable(3168);
      this.aClass545_Sub1_1628.method14641(0);
      OpenGL.glTexEnvf(8960, '\u8573', 2.0F);
      if(this.aClass135_9914.aBool1583) {
         OpenGL.glTexGeni(8194, 9472, 9217);
         OpenGL.glTexGeni(8195, 9472, 9217);
         OpenGL.glTexGenfv(8195, 9473, new float[]{0.0F, 0.0F, 0.0F, 1.0F}, 0);
         OpenGL.glEnable(3170);
         OpenGL.glEnable(3171);
      }

      this.aClass149_9913.method2736();
      this.aClass149_9913.method2735(1);
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14553(8448, 8448);
      this.aClass545_Sub1_1628.method14679(0, 5890, 768);
      OpenGL.glDisable(3168);
      this.aClass545_Sub1_1628.method14641(0);
      OpenGL.glTexEnvf(8960, '\u8573', 1.0F);
      if(this.aClass135_9914.aBool1583) {
         OpenGL.glDisable(3170);
         OpenGL.glDisable(3171);
      }

      this.aClass149_9913.method2736();
   }

   Class141_Sub5(Class545_Sub1 var1, Class135 var2) {
      super(var1);
      this.aClass135_9914 = var2;
      this.method15437();
      this.aClass147_Sub3_9916 = new Class147_Sub3(this.aClass545_Sub1_1628, Class98.aClass98_987, Class91.aClass91_897, 2, new byte[]{(byte)0, (byte)-1}, Class98.aClass98_987);
      this.aClass147_Sub3_9916.method15432(false);
   }

   boolean method2629() {
      return true;
   }

   void method2631(boolean var1) {
      if(this.aClass545_Sub1_1628.anInt9167 > 0) {
         float var2 = -0.5F / (float)this.aClass545_Sub1_1628.anInt9167;
         this.aClass545_Sub1_1628.method14641(1);
         aFloatArray9917[0] = 0.0F;
         aFloatArray9917[1] = 0.0F;
         aFloatArray9917[2] = var2;
         aFloatArray9917[3] = this.aClass545_Sub1_1628.aFloat9175 * var2 + 0.25F;
         OpenGL.glPushMatrix();
         OpenGL.glLoadIdentity();
         OpenGL.glTexGenfv(8192, 9474, aFloatArray9917, 0);
         OpenGL.glPopMatrix();
         this.aClass545_Sub1_1628.method14573(0.5F, (float)this.aClass545_Sub1_1628.anInt9167);
         this.aClass545_Sub1_1628.method14725(this.aClass147_Sub3_9916);
         this.aClass545_Sub1_1628.method14641(0);
      }

      this.aClass149_9913.method2737('\u0000');
      OpenGL.glMatrixMode(5890);
      OpenGL.glPushMatrix();
      OpenGL.glScalef(0.25F, 0.25F, 1.0F);
      OpenGL.glMatrixMode(5888);
   }

   void method2637(boolean var1) {
      this.aClass545_Sub1_1628.method14553(260, 8448);
   }

   void method2628(Class147 var1, int var2) {}

   void method2623() {
      this.aClass149_9913.method2737('\u0001');
      if(this.aClass545_Sub1_1628.anInt9167 > 0) {
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725((Class147)null);
         this.aClass545_Sub1_1628.method14573(1.0F, 0.0F);
         this.aClass545_Sub1_1628.method14641(0);
      }

      this.aClass545_Sub1_1628.method14553(8448, 8448);
      OpenGL.glMatrixMode(5890);
      OpenGL.glPopMatrix();
      OpenGL.glMatrixMode(5888);
   }

   void method2634(int var1, int var2) {
      if((var1 & 1) == 1) {
         if(this.aClass135_9914.aBool1583) {
            this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub2_1579);
            aFloatArray9917[0] = 0.0F;
            aFloatArray9917[1] = 0.0F;
            aFloatArray9917[2] = 0.0F;
            aFloatArray9917[3] = (float)(this.aClass545_Sub1_1628.anInt9158 % 4000) / 4000.0F;
            OpenGL.glTexGenfv(8194, 9473, aFloatArray9917, 0);
         } else {
            int var3 = this.aClass545_Sub1_1628.anInt9158 % 4000 * 16 / 4000;
            this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub4Array1584[var3]);
         }
      } else if(this.aClass135_9914.aBool1583) {
         this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub2_1579);
         aFloatArray9917[0] = 0.0F;
         aFloatArray9917[1] = 0.0F;
         aFloatArray9917[2] = 0.0F;
         aFloatArray9917[3] = 0.0F;
         OpenGL.glTexGenfv(8194, 9473, aFloatArray9917, 0);
      } else {
         this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub4Array1584[0]);
      }

   }

   void method2639(int var1, int var2) {
      if((var1 & 1) == 1) {
         if(this.aClass135_9914.aBool1583) {
            this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub2_1579);
            aFloatArray9917[0] = 0.0F;
            aFloatArray9917[1] = 0.0F;
            aFloatArray9917[2] = 0.0F;
            aFloatArray9917[3] = (float)(this.aClass545_Sub1_1628.anInt9158 % 4000) / 4000.0F;
            OpenGL.glTexGenfv(8194, 9473, aFloatArray9917, 0);
         } else {
            int var3 = this.aClass545_Sub1_1628.anInt9158 % 4000 * 16 / 4000;
            this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub4Array1584[var3]);
         }
      } else if(this.aClass135_9914.aBool1583) {
         this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub2_1579);
         aFloatArray9917[0] = 0.0F;
         aFloatArray9917[1] = 0.0F;
         aFloatArray9917[2] = 0.0F;
         aFloatArray9917[3] = 0.0F;
         OpenGL.glTexGenfv(8194, 9473, aFloatArray9917, 0);
      } else {
         this.aClass545_Sub1_1628.method14725(this.aClass135_9914.aClass147_Sub4Array1584[0]);
      }

   }

   void method2635(Class147 var1, int var2) {}

   void method2630() {
      this.aClass149_9913.method2737('\u0001');
      if(this.aClass545_Sub1_1628.anInt9167 > 0) {
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725((Class147)null);
         this.aClass545_Sub1_1628.method14573(1.0F, 0.0F);
         this.aClass545_Sub1_1628.method14641(0);
      }

      this.aClass545_Sub1_1628.method14553(8448, 8448);
      OpenGL.glMatrixMode(5890);
      OpenGL.glPopMatrix();
      OpenGL.glMatrixMode(5888);
   }

   void method2638(boolean var1) {
      this.aClass545_Sub1_1628.method14553(260, 8448);
   }

   void method15438() {
      this.aClass149_9913 = new Class149(this.aClass545_Sub1_1628, 2);
      this.aClass149_9913.method2735(0);
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14553(7681, 260);
      this.aClass545_Sub1_1628.method14679(0, '\u8578', 768);
      OpenGL.glTexGeni(8192, 9472, 9216);
      OpenGL.glEnable(3168);
      this.aClass545_Sub1_1628.method14641(0);
      OpenGL.glTexEnvf(8960, '\u8573', 2.0F);
      if(this.aClass135_9914.aBool1583) {
         OpenGL.glTexGeni(8194, 9472, 9217);
         OpenGL.glTexGeni(8195, 9472, 9217);
         OpenGL.glTexGenfv(8195, 9473, new float[]{0.0F, 0.0F, 0.0F, 1.0F}, 0);
         OpenGL.glEnable(3170);
         OpenGL.glEnable(3171);
      }

      this.aClass149_9913.method2736();
      this.aClass149_9913.method2735(1);
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14553(8448, 8448);
      this.aClass545_Sub1_1628.method14679(0, 5890, 768);
      OpenGL.glDisable(3168);
      this.aClass545_Sub1_1628.method14641(0);
      OpenGL.glTexEnvf(8960, '\u8573', 1.0F);
      if(this.aClass135_9914.aBool1583) {
         OpenGL.glDisable(3170);
         OpenGL.glDisable(3171);
      }

      this.aClass149_9913.method2736();
   }

   void method2624(boolean var1) {
      this.aClass545_Sub1_1628.method14553(260, 8448);
   }

   boolean method2626() {
      return true;
   }

   void method15439() {
      this.aClass149_9913 = new Class149(this.aClass545_Sub1_1628, 2);
      this.aClass149_9913.method2735(0);
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14553(7681, 260);
      this.aClass545_Sub1_1628.method14679(0, '\u8578', 768);
      OpenGL.glTexGeni(8192, 9472, 9216);
      OpenGL.glEnable(3168);
      this.aClass545_Sub1_1628.method14641(0);
      OpenGL.glTexEnvf(8960, '\u8573', 2.0F);
      if(this.aClass135_9914.aBool1583) {
         OpenGL.glTexGeni(8194, 9472, 9217);
         OpenGL.glTexGeni(8195, 9472, 9217);
         OpenGL.glTexGenfv(8195, 9473, new float[]{0.0F, 0.0F, 0.0F, 1.0F}, 0);
         OpenGL.glEnable(3170);
         OpenGL.glEnable(3171);
      }

      this.aClass149_9913.method2736();
      this.aClass149_9913.method2735(1);
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14553(8448, 8448);
      this.aClass545_Sub1_1628.method14679(0, 5890, 768);
      OpenGL.glDisable(3168);
      this.aClass545_Sub1_1628.method14641(0);
      OpenGL.glTexEnvf(8960, '\u8573', 1.0F);
      if(this.aClass135_9914.aBool1583) {
         OpenGL.glDisable(3170);
         OpenGL.glDisable(3171);
      }

      this.aClass149_9913.method2736();
   }
}
